.\"	$NetBSD: boot.8,v 1.7 2003/04/08 03:49:45 lukem Exp $
.\"
.\" Copyright (c) 1992, 1993
.\"	The Regents of the University of California.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. Neither the name of the University nor the names of its contributors
.\"    may be used to endorse or promote products derived from this software
.\"    without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
.\" ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
.\" FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
.\" OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
.\" LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
.\" OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
.\" SUCH DAMAGE.
.\"
.\"     @(#)boot_sparc.8	8.2 (Berkeley) 4/19/94
.\"
.Dd April 8, 2003
.Dt BOOT 8 mvme68k
.Os
.Sh NAME
.Nm boot
.Nd
system bootstrapping procedures
.\" .Sh SYNOPSIS
.\" .Nm reboot
.\" .Op Fl n
.\" .Op Fl q
.\" .Oo
.\" .Ar -- <boot string>
.\" .Oc
.Sh DESCRIPTION
.Ss Power fail and crash recovery
Normally, the system will reboot itself at power-up or after crashes.
An automatic consistency check of the file systems will be performed
as described in
.Xr fsck 8 .
and unless this fails, the system will resume multi-user operations.
.Ss Cold starts from disk
The disk-boot program
.Pa ( /usr/mdec/bootsd )
will attempt to load
.Pa netbsd
from partition A of the boot device,
which must currently be an
.Dq sd
disk.
.Ss Cold starts from tape
The tape-boot program
.Pa ( /usr/mdec/bootst )
will attempt to load
.Pa netbsd
from a SCSI tape drive.
.Ss Cold starts over a network
The network boot program
.Pa ( /usr/mdec/netboot )
will load
.Pa netbsd
from the NFS root as determined by the procedure described in
.Xr diskless 8 .
Note that the MVME147 is unable to boot directly from the
network without the help of a small bootloader program
.Pa ( /usr/mdec/sboot ) .
.Ss Boot program options
.Bl -tag -width xxx
.It Fl a
Prompt for the root file system device, the system crash dump
device, and the path to
.Xr init 8 .
.It Fl d
Bring the system up in debug mode.
Here it waits for a kernel debugger connect; see
.Xr ddb 4 .
.It Fl q
Boot the system in quiet mode.
.It Fl s
Bring the system up in single-user mode.
.It Fl v
Boot the system in verbose mode.
.El
.Pp
Any extra flags or arguments, or the
.Ar \*[Lt]boot string\*[Gt]
after the -- separator are passed to the boot PROM.
Other flags are currently ignored.
.Pp
At any time you can break to the kernel debugger
.Xr ddb 4
(assuming
.Sy options DDB
was specified in the kernel configuration file)
by sending a serial line BREAK character.
If you do this accidentally you can continue whatever was in progress
by typing
.Sq c
followed by the return key.
.Sh FILES
.Bl -tag -width /usr/mdec/installboot -compact
.It Pa /netbsd
system code
.It Pa /usr/mdec/bootxx
first-level boot block for disks
.It Pa /usr/mdec/stboot
first-level boot block for tapes
.It Pa /usr/mdec/bootsd
second-level boot block for UFS disks
.It Pa /usr/mdec/bootst
second-level boot block for tapes
.It Pa /usr/mdec/netboot
boot program for NFS (diskless) boot
.It Pa /usr/mdec/sboot
network bootstrap program for MVME147
.It Pa /usr/mdec/installboot
program to install bootxx on a disk
.El
.Sh SEE ALSO
.Xr disklabel 8 ,
.Xr fsck 8 ,
.Xr halt 8 ,
.Xr init 8 ,
.Xr rc 8 ,
.Xr shutdown 8 ,
.Xr syslogd 8
